Package com.sun.jna

# Class FromNativeContext

java.lang.Object
com.sun.jna.FromNativeContext

Direct Known Subclasses:
  `CallbackParameterContext`, `FunctionResultContext`, `StructureReadContext`

public class FromNativeContext extends Object
Provides context for converting a native value into a Java type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FromNativeContext(Class<?> javaType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getTargetType()`
  The desired Java type of the result.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FromNativeContext

    FromNativeContext(Class<?> javaType)

- ## Method Details

  - ### getTargetType

    public Class<?> getTargetType()
    The desired Java type of the result.